var randomNum = Math.floor(Math.random() * 100) + 1;
var guessCount = 0;

function startGame() {
    var gameDiv = document.getElementById("gameId");
    gameDiv.style.visibility = "visible";
}

function gameFunc() {
    guessCount ++;
    
    var startBtn = document.getElementById("start");
    var input = document.getElementById("guess");
    var result = document.getElementById("result");
    var restart = document.getElementById("restart");
    var playerGuess = input.value;
    var guessBtn = document.getElementById("guessBtn");

    if (isNaN(playerGuess) || 
        !Number.isInteger(parseInt(playerGuess)) || 
        parseInt(playerGuess) <= 0 || 
        parseInt(playerGuess) > 100) {
        alert("Please enter an integer between 1 and 100");
        input.value = "";
    } else if (parseInt(playerGuess) == randomNum) {
        result.innerHTML = "You are right!!! " + randomNum + " is a correct guess. You made it right in " + guessCount + " guesses";
        startBtn.disabled = "true";
        guessBtn.disabled = "true";
        input.disabled = "true";
        restart.style.visibility = "visible";
    } else if (parseInt(playerGuess) > randomNum) {
        result.innerHTML = "It's lower";
        input.value = "";
    } else if (parseInt(playerGuess) < randomNum) {
        result.innerHTML = "It's higher";
        input.value = "";
    }
}

function restart() {
    window.location.reload();
}